## org.eclipse.datatools.sqltools.db.generic.parser
Class ASTSQLDataType

    java.lang.Object
      org.eclipse.datatools.sqltools.sql.parser.ast.SimpleNode
          org.eclipse.datatools.sqltools.db.generic.parser.SimpleNode
              org.eclipse.datatools.sqltools.db.generic.parser.ASTSQLDataType

All Implemented Interfaces:
  IASTSQLDataType, Node

    public class ASTSQLDataType

extends SimpleNode
implements IASTSQLDataType

Constructor Summary
`ASTSQLDataType(GenericSQLParser p, int id)`
`ASTSQLDataType(int id)`

Method Summary
`int` `getLength()`
`java.lang.String` `getName()`
`int` `getScale()`
`java.lang.Object` `jjtAccept(GenericSQLParserVisitor visitor, java.lang.Object data)` Accept the visitor.
`void` `setLength(int length)`
`void` `setName(java.lang.String name)`
`void` `setScale(int scale)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.sqltools.db.generic.parser.SimpleNode
`childrenAccept, dump, toString`

Methods inherited from class org.eclipse.datatools.sqltools.sql.parser.ast.SimpleNode

`acceptChildren, equals, exists, getDocument, getEndOffset, getEndOffset, getFirstToken, getGreatestEndOffset, getGreatestEndOffset, getLastToken, getNextTokenOffset, getNextTokenOffset, getPreviousNode, getSQLText, getStartOffset, getStartOffset, getText, jjtAccept, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, setDocument, setFirstToken, setLastToken`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.sqltools.sql.parser.ast.Node
`exists, getDocument, getEndOffset, getEndOffset, getFirstToken, getGreatestEndOffset, getGreatestEndOffset, getLastToken, getNextTokenOffset, getNextTokenOffset, getPreviousNode, getSQLText, getStartOffset, getStartOffset, jjtAccept, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, setDocument, setFirstToken, setLastToken`

Constructor Detail

### ASTSQLDataType

    public ASTSQLDataType(int id)

### ASTSQLDataType

    public ASTSQLDataType(GenericSQLParser p,
                          int id)

Method Detail

### getLength

    public int getLength()

  Specified by:
    `getLength` in interface `IASTSQLDataType`

### setLength

    public void setLength(int length)

  Specified by:
    `setLength` in interface `IASTSQLDataType`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `IASTSQLDataType`

### setName

    public void setName(java.lang.String name)

  Specified by:
    `setName` in interface `IASTSQLDataType`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SimpleNode`

### getScale

    public int getScale()

  Specified by:
    `getScale` in interface `IASTSQLDataType`

### setScale

    public void setScale(int scale)

  Specified by:
    `setScale` in interface `IASTSQLDataType`

### jjtAccept

    public java.lang.Object jjtAccept(GenericSQLParserVisitor visitor,
                                      java.lang.Object data)

  Accept the visitor. *

  Overrides:
    `jjtAccept` in class `SimpleNode`